XML External Entity injection in Azkaban workflow manager



Published: 2020-04-01 | Updated: 2020-04-02
Risk Medium
Patch available NO
Number of vulnerabilities 1
CVE-ID CVE-2020-10992
CWE-ID CWE-611
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Azkaban
Web applications / Other software

Vendor Azkaban

Security Bulletin

This security bulletin contains information about 1 vulnerabilities.

Updated: 02.04.2020

Updated list of affected software versions.

1) XML External Entity injection

EUVDB-ID: #VU26510

Risk: Medium

CVSSv3.1: 6.9 [CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N/E:U/RL:U/RC:C]

CVE-ID: CVE-2020-10992

CWE-ID: CWE-611 - Improper Restriction of XML External Entity Reference ('XXE')

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to sensitive information.

The vulnerability exists due to insufficient validation of user-supplied XML input in "validator/XmlValidatorManager.java" and "user/XmlUserManager.java". A remote attacker can pass a specially crafted XML code to the affected application and view contents of arbitrary files on the system or initiate requests to external systems.

Successful exploitation of the vulnerability may allow an attacker to view contents of arbitrary file on the server or perform network scanning of internal and external infrastructure.

Mitigation

Cybersecurity Help is currently unaware of any official solution to address this vulnerability.

Vulnerable software versions

Azkaban: 2.5.0 - 3.84.3


CPE2.3 External links

http://github.com/azkaban/azkaban/issues/2478

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote non-authenticated attacker via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.



###SIDEBAR###